<<< Previous |  | Next >>>

# mail::account::hasCapability

## Name

mail::account::hasCapability -- Mail account's properties

## Synopsis

mail::account *account;

``bool flag=account->`hasCapability``(std::string `capability`);`

## USAGE

This function checks this `mail::account`'s properties. The list of potential properties, or capabilities, depends on the account. The currently defined list of properties are:

`LIBMAIL_SINGLEFOLDER`

  Whether this account contains a single incoming mail folder (currently only `pop3` accounts have this capability defined).

## RETURN CODES AND CALLBACKS

The `hasCapability` method returns true if the account supports the indicated capability.

<<< Previous | Home | Next >>>
mail::account::getSendFolder | Up | mail::account::isRemoteUrl